# Created by pyp2rpm-2.0.0
%global pypi_name backports.shutil_get_terminal_size
%global pkg_name backports-shutil_get_terminal_size

Name:           python-%{pkg_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        A backport of the get_terminal_size function from Python 3.3's shutil

License:        MIT
URL:            https://github.com/chrippa/backports.shutil_get_terminal_size
Source0:        https://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch


%description
A backport of the `get_terminal_size`_ function from Python 3.3's shutil.


%package -n     python2-%{pkg_name}
Summary:        A backport of the get_terminal_size function from Python 3.3's shutil
%{?python_provide:%python_provide python2-%{pkg_name}}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-backports

%description -n python2-%{pkg_name}
A backport of the `get_terminal_size`_ function from Python 3.3's shutil.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install.
%py2_install
# This file is provided by python-backports
rm %{buildroot}%{python_sitelib}/backports/__init__.py*

%files -n python2-%{pkg_name} 
%doc README.rst LICENSE
%{python2_sitelib}/backports/*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Wed Feb 17 2016 Haïkel Guémar <hguemar@fedoraproject.org> - 1.0.0-1
- Initial package.
